## org.apache.solr.common.util
Class DataInputInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.solr.common.util.DataInputInputStream

All Implemented Interfaces:
  Closeable, DataInput

Direct Known Subclasses:
  FastInputStream

    public abstract class DataInputInputStream

extends InputStream
implements DataInput

An abstract DataInput that extends InputStream

Constructor Summary
`DataInputInputStream()`

Method Summary

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

Constructor Detail

### DataInputInputStream

    public DataInputInputStream()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.